image: node:latest

stages:
  - deploy

deploy:
  stage: deploy
  script:
    # - echo '//gitlab.com/api/v4/projects/19153324/packages/npm/:_authToken=${CI_JOB_TOKEN}'>.npmrc
    # - npm publish

    - echo '@fastsigns:registry=https://gitlab.com/api/v4/packages/npm/'>.npmrc
    - echo -e "\n//gitlab.com/api/v4/packages/npm/:_authToken=${CI_JOB_TOKEN}">>.npmrc
    - echo -e "\n//gitlab.com/api/v4/projects/19153324/packages/npm/:_authToken=${CI_JOB_TOKEN}">>.npmrc
    - cat .npmrc
    - npm install
    - ls
    - npm publish
